/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2017  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef INTERPOLATIONGRAPHDIALOGHEADERFILE
#define INTERPOLATIONGRAPHDIALOGHEADERFILE

#include <QDialog>
#include <vector>

#include "../../core/vector2.h"

class QCloseEvent;

class TGraphWidget;

class TInterpolationGraphDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TInterpolationGraphDialog(const QWidget *parent=0, Qt::WindowFlags flags=0);
	virtual ~TInterpolationGraphDialog(void);

// ACCESSORS

// MANIPULATORS
	void Update(const std::vector<TVector2> &input,const std::vector<TVector2> &output);

signals:
	void Dialog_Close(void);

private slots:
	
protected:
	virtual void closeEvent(QCloseEvent *event);

private:
	TGraphWidget						*d_graph_widget;

// NOT IMPLEMENTED
	TInterpolationGraphDialog(const TInterpolationGraphDialog&);
	TInterpolationGraphDialog& operator=(const TInterpolationGraphDialog&);
};

#endif
